Skip to content

Get Details of a Creative

Request

⚠️ Deprecated — Use GET /v3.0/creatives/{atomic_creative_id} instead.

Get details of a creative

Path
atomic_creative_idintegerrequired

See below

GET
/component_creatives/v1.0/creatives/{atomic_creative_id}
curl -i -X GET \
  'https://api.mediamath.com/component_creatives/v1.0/creatives/{atomic_creative_id}'

Responses

start_date and end_date are not required fields, but they either both exist or don't exist per creative.

If the asset_type is text, asset_value is defined, otherwise, the 5 parameters that begin "image_" are defined.

Bodyapplication/json
Response
{ "data": { "advertiser_id": 166476, "advertiser_name": "000Adam Test Advertiser", "assets": [], "atomic_creative_id": 4813554, "concept_id": "1432620", "concept_name": "LVR_US_IN_New Collection_Female_23June2017", "created_at": "2017-09-25T19:22:41.788Z", "creative_id": 1205, "creative_name": "LVR_US_IN_NewCollection_612x612_28June_06", "external_identifier": "NA", "last_modified": "2017-09-25T19:22:00", "last_published": "2018-03-06T16:00:27.624Z", "status": "1", "unpublished": false, "updated_at": "2018-03-06T16:00:27.624Z" }, "meta": { "code": 200, "status": "success", "type": "creative" } }